# Subscription Proxy

To subscribe to notifications in a production environment, you
must provide a callback URL with a valid SSL certificate to handle
the notification. For development purposes, you can use a subscription proxy
server provided by Google that forwards notifications to a
non-SSL callback URL.

> [!WARNING]
> **Warning:** Do not use the subscription proxy server in a production environment. It is less secure and only for development purposes.

To use the subscription proxy, append your non-SSL callback URL to the
proxy server's forwarding URL like this:

```
https://mirrornotifications.appspot.com/forward?url=<your_callback_url>
```

When you subscribe to a notification, specify the full URL that includes
the forwarding service URL and your callback URL. For example:

    POST /mirror/v1/subscriptions HTTP/1.1
    Authorization: Bearer auth token
    Content-Type: application/json
    Content-Length: length

    {
      "collection": "timeline"
      "userToken": "harold_penguin",
      "operation": ["UPDATE"],
      "callbackUrl": "https://mirrornotifications.appspot.com/forward?url=http://example.com/notify/callback"
    }